vty-5.38: A simple terminal UI library

Safe Haskell | Safe-Inferred
Language | Haskell2010

Graphics.Vty.Debug

Synopsis

- data MockWindow = MockWindow Int Int
- regionForWindow :: MockWindow -> DisplayRegion
- allSpansHaveWidth :: DisplayOps -> Int -> Bool
- spanOpsAffectedColumns :: SpanOps -> Int
- spanOpsAffectedRows :: DisplayOps -> Int

# Documentation

data MockWindow Source #

Constructors

MockWindow Int Int |

#### Instances

Instances details

Show MockWindow Source # |
Instance details Defined in Graphics.Vty.Debug Methods showsPrec :: Int -> MockWindow -> ShowS Source # show :: MockWindow -> String Source # showList :: [MockWindow] -> ShowS Source #
Eq MockWindow Source # |
Instance details Defined in Graphics.Vty.Debug Methods (==) :: MockWindow -> MockWindow -> Bool Source # (/=) :: MockWindow -> MockWindow -> Bool Source #

regionForWindow :: MockWindow -> DisplayRegion Source #

allSpansHaveWidth :: DisplayOps -> Int -> Bool Source #

spanOpsAffectedColumns :: SpanOps -> Int Source #

The number of columns a SpanOps affects.

spanOpsAffectedRows :: DisplayOps -> Int Source #